Skip to main content
GET
/
api
/
v1
/
projects
/
{projectId}
/
tags
/
slug
/
{tagSlug}
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/projects/{projectId}/tags/slug/{tagSlug}
import requests

url = "https://us.infisical.com/api/v1/projects/{projectId}/tags/slug/{tagSlug}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://us.infisical.com/api/v1/projects/{projectId}/tags/slug/{tagSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tag": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "slug": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "projectId": "<string>",
    "name": "<string>",
    "color": "<string>",
    "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdByActorType": "user"
  }
}
{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}

Path Parameters

projectId
string
required

The ID of the project to get tags from.

tagSlug
string
required

The slug of the tag to get details.

Response

Default Response

tag
object
required